Package org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missingelement

## Class MissingElementDataConstants

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missingelement.MissingElementDataConstants

    public class MissingElementDataConstants
    extends Object

Data entry field used in the codeAction/resolve for inserting missing elements.

### Field Summary

Fields
`static String` `DATA_ELEMENT_FIELD` The element name used to identify which choice element is to be generated.
`static String` `DATA_REQUIRED_FIELD` Indicates whether only required elements is to be generated or all.

### Constructor Summary

Constructors
`MissingElementDataConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DATA_ELEMENT_FIELD

    public static final String DATA_ELEMENT_FIELD

The element name used to identify which choice element is to be generated.

See Also:
  Constant Field Values

#### DATA_REQUIRED_FIELD

    public static final String DATA_REQUIRED_FIELD

Indicates whether only required elements is to be generated or all.

See Also:
  Constant Field Values

### Constructor Detail

#### MissingElementDataConstants

    public MissingElementDataConstants()